From 29d3612691a6b597ed865b2810d27757a1f4c613 Mon Sep 17 00:00:00 2001
From: Philip Crotwell <crotwell@rabbit.seis.sc.edu>
Date: Fri, 18 Sep 2009 11:36:38 -0400
Subject: [PATCH] exported=true on lib and src classpath entries

---
 .../api/tasks/ide/eclipse/EclipseClasspath.java    |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/subprojects/gradle-core/src/main/groovy/org/gradle/api/tasks/ide/eclipse/EclipseClasspath.java b/subprojects/gradle-core/src/main/groovy/org/gradle/api/tasks/ide/eclipse/EclipseClasspath.java
index b25766e..ca41122 100644
--- a/subprojects/gradle-core/src/main/groovy/org/gradle/api/tasks/ide/eclipse/EclipseClasspath.java
+++ b/subprojects/gradle-core/src/main/groovy/org/gradle/api/tasks/ide/eclipse/EclipseClasspath.java
@@ -61,6 +61,7 @@ public class EclipseClasspath extends ConventionTask {
     private static final String OUTPUT = "output";
     private static final String CLASSPATHENTRY = "classpathentry";
     private static final String KIND = "kind";
+    private static final String EXPORTED = "exported";
     private static final String PATH = "path";
     private static final String CON = "con";
     private static final String LIB = "lib";
@@ -105,13 +106,15 @@ public class EclipseClasspath extends ConventionTask {
 
     private void addLibs(Element root) {
         for (String path : EclipseUtil.getSortedStringList(getClasspathLibs())) {
-            classpathEntry(root, LIB, FilenameUtils.separatorsToUnix(path));
+            classpathEntry(root, LIB, FilenameUtils.separatorsToUnix(path)).
+                addAttribute(EXPORTED, "true");
         }
     }
 
     private void addSrcDirs(Element root) {
         for (String srcDir : existingRelativePaths(getSrcDirs())) {
-            classpathEntry(root, SRC, srcDir);
+            classpathEntry(root, SRC, srcDir).
+                addAttribute(EXPORTED, "true");
         }
         classpathEntry(root, OUTPUT, relativePath(getOutputDirectory()));
     }
@@ -126,7 +129,8 @@ public class EclipseClasspath extends ConventionTask {
     private void addDependsOnProjects(Element root) {
         for (Project dependsOnProject : EclipseUtil.getDependsOnProjects(getProjectDependencies())) {
             classpathEntry(root, SRC, "/" + dependsOnProject.getName()).
-                    addAttribute(COMBINEACCESSRULES, "false");
+                    addAttribute(COMBINEACCESSRULES, "false").
+                    addAttribute(EXPORTED, "true");
         }
     }
 
-- 
1.6.4.4

